## To install a package in your machine
install.packages("readxl")
# please note you only install a package once in your machine

##To use the package in the current session
library(readxl)

## read a csv file  by default first row will be treated as a column names
employee_attrition <- read.csv("Employee_details.csv")

### read csv file if your first row is not  column names
employee_attrition <- read.csv("Employee_details.csv",header=F)

## read csv when any other char represent null (NA) in below example "-" will be treated as NA
employee <- read.csv("mydata.csv",na.strings="-")

## read csv when any other char represent null (NA) in below example " $ and %" will be treated as NA
read.csv("mydata.csv",na.strings=c("$","%"))

## read text file with | (pipe)as separator
read.table("mydata.txt",sep="|",header=TRUE)
read.table("mydata.txt",sep="|",header=TRUE,na.strings="-")

## read xlsx file(excel file) below command will pick "Employee-Attrition" sheet from Dataset1 workbook
excel <-read_excel("Dataset1.xlsx", sheet = "Employee-Attrition")